Subject: bug#12366: [gnu-prog-discuss] bug#12366: Writing unwritable files

From: Paolo Bonzini <[email-masked]>
Date: Thu, 06 Sep 2012 23:01:37 +0200

Il 06/09/2012 20:21, Bob Friesenhahn ha scritto:
>>
>> No, unlink/rename "sed -i" replaces the file atomically.  A program that
> 
> POSIX rename assures that the destination path always exists if it
> already existed.

My bad, I meant link-breaking/rename.  Of course you must not unlink first.

Paolo